Package org.eclipse.microprofile.lra.tck.participant.activity

# Class Activity

java.lang.Object
org.eclipse.microprofile.lra.tck.participant.activity.Activity

All Implemented Interfaces:
  `Serializable`

public class Activity extends Object implements Serializable
A simple DTO that provides information about the work processed in the TCK suite resources.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Activity(URI lraId)`

## Method Summary

Modifier and Type
Method
Description
`AtomicInteger`
`getAcceptedCount()`
`int`
`getAndDecrementAcceptCount()`
`String`
`getEndData()`
`URI`
`getLraId()`
`URI`
`getRecoveryUri()`
`ParticipantStatus`
`getStatus()`
`String`
`getStatusUrl()`
`Activity`
`setAcceptedCount(int acceptedCount)`
`Activity`
`setEndData(String endData)`
`Activity`
`setLraId(URI lraId)`
`Activity`
`setRecoveryUri(URI recoveryUri)`
`Activity`
`setStatus(ParticipantStatus status)`
`Activity`
`setStatusUrl(String statusUrl)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Activity

public Activity(URI lraId)

## Method Details

### getLraId

public URI getLraId()

### setLraId

public Activity setLraId(URI lraId)

### getRecoveryUri

public URI getRecoveryUri()

### setRecoveryUri

public Activity setRecoveryUri(URI recoveryUri)

### getStatusUrl

public String getStatusUrl()

### setStatusUrl

public Activity setStatusUrl(String statusUrl)

### getStatus

public ParticipantStatus getStatus()

### setStatus

public Activity setStatus(ParticipantStatus status)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getAndDecrementAcceptCount

public int getAndDecrementAcceptCount()

### getEndData

public String getEndData()

### setEndData

public Activity setEndData(String endData)

### getAcceptedCount

public AtomicInteger getAcceptedCount()

### setAcceptedCount

public Activity setAcceptedCount(int acceptedCount)